Subject: Mac Client crashes on start

From: Florian <[email-masked]>
Date: Tue, 14 May 2013 21:48:44 +0200

Package: X2GoClient
Version: latest

Hi Team!

I just wanted to try out the x2go server and Mac client but I cannot get
the client to run. As soon as I start it it crashes. I even do not see a
window opening!
Here is the report my Mac want to send to Apple:

Process:         launchd [1042]
Path:            /Applications/x2goclient.app/Contents/MacOS/x2goclient
Identifier:      launchd
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  launchd [608]

Date/Time:       2013-05-14 21:23:57.841 +0200
OS Version:      Mac OS X 10.7.5 (11G63)
Report Version:  9

Crashed Thread:  Unknown

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00007fff5fc01028

Backtrace not available

Unknown thread crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000055  rbx: 0x0000000000000000  rcx:
0x0000000000000000  rdx: 0x0000000000000000
  rdi: 0x0000000000000000  rsi: 0x0000000000000000  rbp:
0x0000000000000000  rsp: 0x0000000000000000
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10:
0x0000000000000000  r11: 0x0000000000000000
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14:
0x0000000000000000  r15: 0x0000000000000000
  rip: 0x00007fff5fc01028  rfl: 0x0000000000010203  cr2: 0x00007fff5fc01028
Logical CPU: 3

Binary images description not available

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 711
    thread_create: 0
    thread_set_state: 0

Model: MacBookPro8,2, BootROM MBP81.0047.B27, 4 processors, Intel Core
i7, 2.2 GHz, 4 GB, SMC 1.69f4
Graphics: AMD Radeon HD 6750M, AMD Radeon HD 6750M, PCIe, 1024 MB
Graphics: Intel HD Graphics 3000, Intel HD Graphics 3000, Built-In, 384 MB
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1333 MHz, 0x80AD,
0x484D54333235533642465238432D48392020
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1333 MHz, 0x80AD,
0x484D54333235533642465238432D48392020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xD6),
Broadcom BCM43xx 1.0 (5.106.198.19.22)
Bluetooth: Version 4.0.8f17, 2 service, 18 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: Hitachi HTS725050A9A362, 500,11 GB
Serial ATA Device: HL-DT-ST DVDRW  GS31N

If I can be of any more assistance please let me know!

Best
Florian